Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum Linuxiarze.pl

Author Topic: NoDistroTemplateException  (Read 3002 times)

Offline piker

  • Jr. Member
  • **
  • Posts: 50
  • Karma: 0
NoDistroTemplateException
« on: July 05, 2019, 12:56:51 pm »
I have used the MinimalGui install (Rolling) and installed gnome-shell. I am getting this error when trying to look at the Repositories in Synaptic. "aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for Sparky/buster". I only changed list.sources slightly to use a local mirror, which i've used in the past with no worries. What should I do?

Offline paxmark1

  • Hero Member
  • *****
  • Posts: 855
  • Karma: 4
  • https://forum.sparkylinux.org/index.php/topic,4614
Re: NoDistroTemplateException
« Reply #1 on: July 05, 2019, 05:58:02 pm »
sorry mis-read, "apt -s install ... " not relevant.
Search forum for "More info easier via inxi"    If requested -  no inxi, no help for you by  me.

Offline piker

  • Jr. Member
  • **
  • Posts: 50
  • Karma: 0
Re: NoDistroTemplateException
« Reply #2 on: July 06, 2019, 12:29:53 am »
Apt from the terminal seems to be working without errors, its just Synaptic. I seem to remember the Openbox desktop (installed by minimal gui) being removed at some stage after gnome-shell installation. Could that have something to do with this? Anyone else having problems viewing "repositories" via Synaptics gui menu?

Offline piker

  • Jr. Member
  • **
  • Posts: 50
  • Karma: 0
Re: NoDistroTemplateException
« Reply #3 on: July 06, 2019, 11:37:02 am »
#update - well I couldn't get this sorted. It may have been when the Openbox desktop was uninstalled. Just out of curiosity, is it possible to use the Minimal-gui to just install a desktop of choice, or does it always install Openbox first?